      ////////////////////////////////////////
     // THE CONSTRAINT-UNDERSTANDING SYSTEM //
    //  (Version 2)                        ///
   // Written by Andrew Broad             ////
  //                                     /////
 // EnumSymbol.java (2000:09:08 16:38)  //////
//////////////////////////////////////////////
// Methods of EnumSymbol:              //////
// - EnumSymbol constructor            /////
// - equals                            ////
// - toString                          ///
// - FILise                            //
////////////////////////////////////////

import java.io.*;

/*****************************************************************************
** The class `EnumSymbol' represents an enumeration symbol.
*****************************************************************************/

public class EnumSymbol implements Serializable, FILisable {
	private String _symbol;

	/********************************************************************/
	// EnumSymbol constructor : String ->
	/*********************************************************************
	** Constructs an instance of EnumSymbol.
	** @param symbol A string representing the enumeration symbol.
	*********************************************************************/

	public EnumSymbol (String symbol) {
		_symbol= symbol;
	}

	/********************************************************************/
	// EnumSymbol.equals : Object -> boolean
	/*********************************************************************
	** Returns true just in case the given object is an EnumSymbol whose
	** string is equal to this one.
	** @param anObject The Object to be compared.
	** @return True just in case the given object is an EnumSymbol whose
	**         string is equal to this one.
	*********************************************************************/

	public boolean equals (Object anObject) {
		return (anObject instanceof EnumSymbol
		       && _symbol.equals(((EnumSymbol)anObject).toString()));
	}

	/********************************************************************/
	// EnumSymbol.toString : void -> String
	/*********************************************************************
	** Returns the string representation of this enumeration symbol.
	** @return The string representation of this enumeration symbol.
	*********************************************************************/

	public String toString () {
		return _symbol;
	}

	/********************************************************************/
	// EnumSymbol.FILise : void -> String
	/*********************************************************************
	** Returns a string representing this enumeration symbol in FIL.
	** @param HTML If true, the FIL will be augmented with HTML tags.
	** @return A string representing the enumeration symbol in FIL.
	*********************************************************************/

	public String FILise (boolean HTML) {
		return _symbol;
	}
}
