      ////////////////////////////////////////
     // THE CONSTRAINT-UNDERSTANDING SYSTEM //
    //  (Version 2)                        ///
   // Written by Andrew Broad             ////
  //                                     /////
 // FILString.java (1999:11:25 12:22)   //////
//////////////////////////////////////////////
// Methods of FILString:               //////
// - FILString constructor             /////
// - equals                            ////
// - toString                          ///
// - FILise                            //
////////////////////////////////////////

import java.io.*;

/*****************************************************************************
** The class `FILString' represents strings in FIL.
*****************************************************************************/

public class FILString implements FILisable,Serializable {
	private String _string;

	/********************************************************************/
	// FILString constructor : String -> void
	/*********************************************************************
	** Constructs a FILString from a Java String.
	** @param string The string to be wrapped as a FILString.
	*********************************************************************/

	public FILString (String string) {
		_string= string;
	}

	/********************************************************************/
	// FILString.equals : Object -> boolean
	/*********************************************************************
	** Returns true just in case the given object is a FILString whose
	** string is equal to this one.
	** @param anObject The Object to be compared.
	** @return True just in case the given object is an FILString whose
	**         string is equal to this one.
	*********************************************************************/

	public boolean equals (Object anObject) {
		return (anObject instanceof FILString
		       && _string.equals(((FILString)anObject).toString()));
	}

	/********************************************************************/
	// FILString.toString : void -> String
	/*********************************************************************
	** Returns the string representing the FIL string.
	** @return A string representing the FIL string.
	*********************************************************************/

	public String toString () {
		return _string;
	}

	/********************************************************************/
	// FILString.FILise : boolean -> String
	/*********************************************************************
	** Returns a string representing the FIL string.
	** @param HTML If true, the FIL will be augmented with HTML tags.
	** @return A string representing the FIL string.
	*********************************************************************/

	public String FILise (boolean HTML) {
		return "\"" + toString() + "\"";
	}
}
