      ///////////////////////////////////////////
     // THE CONSTRAINT-UNDERSTANDING SYSTEM    //
    //  (Version 2)                           ///
   // Written by Andrew Broad                ////
  //                                        /////
 // FrameInterface.java (2000:12:11 15:59) //////
/////////////////////////////////////////////////
// Methods of FrameInterface:              //////
// - getFrameClass                         //////
// - getSlotFiller(Slot)                   //////
// - getSlotFiller(String)                 //////
// - setSlotFiller(Slot,Object)            //////
// - setSlotFiller(String,Object)          /////
// - getSlots                              ////
// - toString                              ///
// - print                                 //
////////////////////////////////////////////

import java.io.*;
import java.util.*;

/*****************************************************************************
** The interface `FrameInterface' represents the common interface of Frame and
** FrameTemplate.
*****************************************************************************/

public interface FrameInterface {
	public FrameClass getFrameClass ();
	public Object getSlotFiller (Slot slot);
	public Object getSlotFiller (String slotName)
	                            throws InvalidSlot;
	public void setSlotFiller (Slot slot, Object filler);
	public void setSlotFiller (String slotName, Object filler)
	                          throws InvalidSlot;
	public ListIterator getSlots ();
	public String toString ();
	public void print (PrintStream ps);
}
